using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Platform.Presentation.Interfaces;
using System.Windows;
using TellerSystem.Library.Ext.TradeExtension;

namespace TellerSystem.Contract.Function
{
  public  class CheckDataHelper : WorkFlowDataHelper
    {
      public CheckDataHelper(IPage page):base(page)
      { 

      }

      #region 授权相关总线标志数据
      //复合数据
      public string SuperData
      {
          get
          {
              return tradeBusData["SuperData"];
          }
          set
          {
              tradeBusData["SuperData"] = value;
          }
      }
      //复合记录ID
      public string SuperId
      {
          get
          {
              return tradeBusData["SuperId"];
          }
          set
          {
              tradeBusData["SuperId"] = value;
          }
      }
      //复合结果
      public string SuperFlag
      {
          get
          {
              return tradeBusData["SuperFlag"];
          }
          set
          {
              tradeBusData["SuperFlag"] = value;
          }
      }
      //复合柜员
      public string SuperTeller
      {
          get
          {
              return tradeBusData["SuperTeller"];
          }
          set
          {
              tradeBusData["SuperTeller"] = value;
          }
      }

      //清理总线中授权相关数据
      public void ClearCheckData()
      {
          base.ClearWorkFlowData();
          tradeBusData.Remove("SuperData");
          tradeBusData.Remove("SuperId");
          tradeBusData.Remove("SuperFlag");
          //tradeBusData.Remove("SuperTeller");
      }
      #endregion
    }
}
